#pragma once

#include <Window.h>
#include <Button.h>

class OptionsWindow : public Framework::Window
{
private:
    std::function<void()> onOptionsOpen;
    Framework::Button* optionsButton;
    
public:
    OptionsWindow(std::function<void()> onOptionsOpen);
    ~OptionsWindow();

    virtual void doMouseEvent(Framework::MouseEvent& me, bool userRet) override;
    virtual bool tick(double time) override;
    virtual void render(Framework::Image& rObj) override;
};